ALTER POLICY(7)

NAME
ALTER_POLICY - change the definition of a policy

SYNOPSIS

ALTER POLICY name ON table_name
    [ RENAME TO new_name ]
    [ TO { role_name | PUBLIC | CURRENT_USER | SESSION_USER } [, ...] ]
    [ USING ( using_expression ) ]
    [ WITH CHECK ( check_expression ) ]

DESCRIPTION

ALTER POLICY changes the definition of an existing policy.

To use ALTER POLICY, you must own the table that the policy applies to.

PARAMETERS

name
    The name of an existing policy to alter.

table_name
    The name (optionally schema-qualified) of the table that the policy is on.

new_name
    The new name for the policy.

role_name
    The role to which the policy applies. Multiple roles can be specified at one time. To apply the policy to all roles, use PUBLIC, which is also the default.

using_expression
    The USING expression for the policy. See CREATE POLICY (CREATE_POLICY(7)) for details.

check_expression
    The WITH CHECK expression for the policy. See CREATE POLICY (CREATE_POLICY(7)) for details.

COMPATIBILITY

ALTER POLICY is a PostgreSQL extension.

SEE ALSO
CREATE POLICY (CREATE_POLICY(7)), DROP POLICY (DROP_POLICY(7))